# eric3.VCS.subversionPackage.MergeDialog

Module implementing a dialog to enter the data for a merge operation.

### Classes

SvnMergeDialog | Class implementing a dialog to enter the data for a merge operation.

### Functions

None

## SvnMergeDialog

Class implementing a dialog to enter the data for a merge operation.

### Derived from

MergeForm

### Methods

SvnMergeDialog | Constructor
enableOkButton | Private method used to enable/disable the OK-button.
getParameters | Public method to retrieve the tag data.

### SvnMergeDialog (Constructor)

SvnMergeDialog(mergelist1, mergelist2, targetlist, parent = None)

Constructor

mergelist1
  list of previously entered URLs/revisions (QStringList)
mergelist2
  list of previously entered URLs/revisions (QStringList)
targetlist
  list of previously entered targets (QStringList)
parent
  parent widget (QWidget)

### SvnMergeDialog.enableOkButton

enableOkButton(text)

Private method used to enable/disable the OK-button.

text
  ignored

### SvnMergeDialog.getParameters

getParameters()

Public method to retrieve the tag data.

Returns:
  tuple naming two tag names or two revisions (QString, QString)

Up